Description

Trouble was encountered with the compilation/installation of the OpenCV port to the MacOSX 10.8 development environment. The

problem was tracked down to the MacPorts configuration whereby the minimum OS version it supports was set to 10.6.  OpenCV

successfully installed on the 10.6 (prog14) system but would fail on 10.8 (prog15) under this configuration.  

It was decided, after testing, that MacPorts needed to be reconfigured and all the current ports reinstalled on 10.8 such that it would

no longer support 10.6/10.7 OS systems with the 10.8 build on prog15. The implications of this solution means that the 10.6 version

of ISIS would support 10.6 MacOSX and above, while the 10.8 build would support MacOSX 10.8 and above. 

The 10.8 MacPorts development now lives in /opt/usgs/v003.

This requires a special MacOSX configuration, namely $ISISROOT/make/config.darwin-10.8, that specifies explicitly the new

development environment. This was created, but did not correctly specify the new MacPorts development directory.

History

#1 - 2014-01-22 07:38 PM - Tammy Becker

- Status changed from New to Acknowledged

#2 - 2014-03-20 03:31 PM - Kris Becker

- Assignee set to Kris Becker

#3 - 2014-03-28 05:34 PM - Kris Becker

- Status changed from Acknowledged to Closed

- Impact updated

The current configuration of the ISIS build system does not lend itself to supporting this type of issue.  I have only provided a workaround that will

resolve the problem until we have had sufficient time to determine how to allow for different and/or multiple development environments to coexist.  

I simply moved aside the v002 development version and created a symbolic link to v003 as v002.  

One might be careful how they manipulate the v003 port environment as bad things may happen if your path is set to v002 rather than v003.
